Skip to main content
GET
/
cases
/
{case_id}
/
emails
List emails
curl --request GET \
  --url https://api.example.com/v1/cases/{case_id}/emails \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "01K8EM06FJ5T22HRYE78AN7FFF",
      "institution_contact_id": "<string>",
      "to_addresses": [
        "estates@chase.com"
      ],
      "cc_addresses": [],
      "from_address": "cases@mail.example.com",
      "subject": "Estate of John J. Johnson - Death Certificate and Account Closure Request",
      "body_text": "<string>",
      "body_html": "<string>",
      "attachments": [
        {
          "id": "<string>",
          "file_name": "death_certificate.pdf",
          "file_size_bytes": 245000,
          "mime_type": "application/pdf",
          "document_id": "<string>"
        }
      ],
      "status": "delivered",
      "sent_at": "2023-11-07T05:31:56Z",
      "delivered_at": "2023-11-07T05:31:56Z",
      "opened_at": "2023-11-07T05:31:56Z",
      "bounce_reason": "<string>",
      "sent_by": "<string>",
      "receipt": {
        "message_id": "msg_01abc123def456",
        "provider": "sendgrid",
        "status": "accepted",
        "status_detail": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "notes": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "page": 1,
    "per_page": 25,
    "total_count": 142,
    "total_pages": 6,
    "next_cursor": "eyJpZCI6IjAxSzVXRjA2TUo2VDk5SFJZRTQ4QU43WE04In0=",
    "has_more": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

case_id
string
required

Unique case identifier (ULID format).

Query Parameters

page
integer
default:1

Page number for pagination.

Required range: x >= 1
per_page
integer
default:25

Number of items per page.

Required range: 1 <= x <= 100
status
enum<string>
Available options:
draft,
queued,
sent,
delivered,
bounced,
failed
institution_contact_id
string
sort_by
enum<string>
default:created_at
Available options:
created_at,
sent_at
sort_order
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc

Response

List of emails.

data
object[]
meta
object